Forums

Full Version: log from vdrift test 23-6-2014
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
i just compiled (or what else does that SCons thing do) vdrift test 23-6-2014
if anyone wants to see the log:
http://pastebin.com/R7GR3XGV

running opensuse 13.1 KDE
pentium D dual core

now i get this error when starting it:
# ERROR: SDL initialization failed: No available video device
Re-installed the 64 and 32 bit versions of libsdl and libsdl2 and their development versions

and it seems to work!
(07-30-2014, 11:24 AM)rikrunner Wrote: [ -> ]Re-installed the 64 and 32 bit versions of libsdl and libsdl2 and their development versions

and it seesm to work!

Good to hear. For vdrift you only need sdl2 (development version if you compile yourself). The complete reqiurements are also listed in the README.md.
(07-30-2014, 12:23 PM)NaN Wrote: [ -> ]
(07-30-2014, 11:24 AM)rikrunner Wrote: [ -> ]Re-installed the 64 and 32 bit versions of libsdl and libsdl2 and their development versions

and it seems to work!

Good to hear. For vdrift you only need sdl2 (development version if you compile yourself). The complete reqiurements are also listed in the README.md.

oh, NaN, it may seem like a stupid question, but how do i execute my freshly compiled test version of vdrift?
(07-30-2014, 01:16 PM)rikrunner Wrote: [ -> ]oh, NaN, it may seem like a stupid question, but how do i execute my freshly compiled test version of vdrift?

If you just want to test and not install, run "./build/vdrift" (build is the default build directory). To install run "scons install".

PS:
Default build configuration is debug. For a faster binary use "scons release=1"
(07-30-2014, 01:16 PM)rikrunner Wrote: [ -> ]
(07-30-2014, 12:23 PM)NaN Wrote: [ -> ]
(07-30-2014, 11:24 AM)rikrunner Wrote: [ -> ]Re-installed the 64 and 32 bit versions of libsdl and libsdl2 and their development versions

and it seems to work!

Good to hear. For vdrift you only need sdl2 (development version if you compile yourself). The complete reqiurements are also listed in the README.md.

oh, NaN, it may seem like a stupid question, but how do i execute my freshly compiled test version of vdrift?

i did an sudo scons install and first of all it put it in /usr/local/bin/vdrift and not in /usr/bin/vdrift
second, now i get this problem:
ERROR: SDL initialization failed: x11 not available
/usr/local is the default installation path

You can change it by running "scons prefix=/usr"

You can see all options by running "scons --help" or "scons -h" I think.

Regarding the SDL issue, missing dependency maybe: libX11-devel?